[API Reference](../README.md) > [ProposeUpgradingSchemeParams](../interfaces/ProposeUpgradingSchemeParams.md)



# Interface: ProposeUpgradingSchemeParams


## Properties
<a id="avatar"></a>

###  avatar

**●  avatar**:  *[Address](../#Address)* 

*Defined in [wrappers/upgradescheme.ts:185](https://github.com/daostack/arc.js/blob/3442b6c0/lib/wrappers/upgradescheme.ts#L185)*



avatar address




___

<a id="scheme"></a>

###  scheme

**●  scheme**:  *`string`* 

*Defined in [wrappers/upgradescheme.ts:189](https://github.com/daostack/arc.js/blob/3442b6c0/lib/wrappers/upgradescheme.ts#L189)*



upgrading scheme address




___

<a id="schemeParametersHash"></a>

###  schemeParametersHash

**●  schemeParametersHash**:  *`string`* 

*Defined in [wrappers/upgradescheme.ts:193](https://github.com/daostack/arc.js/blob/3442b6c0/lib/wrappers/upgradescheme.ts#L193)*



hash of the parameters of the upgrading scheme. These must be already registered with the new scheme.




___


